0

This morning I started receiving a warning message from my regular cron job.

Deprecated: Array and string offset access syntax with curly braces is deprecated in /home/customer/www/crm.coma.org/public_html/wp-content/uploads/civicrm/ext/org.cpehn.subscriptionhistory-master/subscriptionhistory.civix.php on line 149+

I haven't knowlingly changed anything or even used CiviCRM this morning. I don't suppose it matters much, but I'm curious. CiviCRM 5.35.1 WordPress 5.7.2.

1 Answer 1

2

That's a php 7.4 warning. The extension org.cpehn.subscriptionhistory needs to make the change in the extension and then they should release a new version. I would post an issue there: https://github.com/MegaphoneJon/org.cpehn.subscriptionhistory/issues

3
  • Thanks - that makes sense. I've got php set to automatically update by my hosting provider, so I expect that is the change that started this message. Not sure why a scheduled job would use this extension, but I'll take that up with the author when reporting.
    – Mick Kahn
    Jun 16, 2021 at 10:20
  • @Jon G - Megaphone Tech has fixed it, but as he says it will affect other extensions and now another is causing the same message!
    – Mick Kahn
    Jun 16, 2021 at 15:13
  • It was mentioned in the dev-digest in April (about 1/3 way down) but yes there are lots of extensions it affects. It may take authors some time to get to them all but you can always post an issue. And oh just wait until php 8 - there's going to be lots more warnings.
    – Demerit
    Jun 16, 2021 at 15:20

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.